TRALICS(1)

NAME
tralics - a LaTeX to XML converter

SYNOPSIS
tralics [options] source

DESCRIPTION
A program for converting LaTeX source into parsable XML files

source is the name of the source file,

(with or without a extension .tex), and may not start with a hyphen

OPTIONS

  All options start with a single or double hyphen, they are:

-verbose: Prints much more things in the log file

-silent: Prints less information on the terminal

-input_file FILE: translates file FILE

-type FOO: Uses FOO instead of the \documentclass value

-dir RADIR: indicates where the sources are located

-confdir : indicates where the configuration files are located

-noxmlerror: no XML element is generated in case of error

-interactivemath: reads from the terminal, and prints math formulas on the terminal

-config FILE: use FILE instead of default configuration file

-noconfig: no configuration file is used

-utf8: says that the source is encoded in utf8 instead of latin1

-latin1: overrides -utf8

-utf8output: same as -oe8

-oe8, -oe1, -oe8a -oe1a: specifies output encoding

-te8, -te1, -te8a -te1a: terminal and transcript encoding

-(no)trivialmath: special math hacking

-(no)etex: enable or disable e-TeX extensions

-nozerowidthelt: Use &#x200B; rather than <zws/>

-nozerowidthspace: no special &#x200B; or <zws/> inserted

-noentnames: result contains &#A0; rather than &nbsp;

-entnames=true/false: says whether or not you want &nbsp;

-noundefmac: alternate XML output for undefined commands

-nomathml: this disables mathml mode

-nostraightquotes: same as right_quote=B4

-left_quote=2018: sets translation of ` to char U+2018

-right_quote=2019: sets translation of ' to char U+2019

-param foo bar: adds foo="bar" to the configuratin file

-usequotes: double quote gives two single quotes

-nobibyearerror: no error for wrong years in bib for raweb

-nobibyearmodify: no hack for wrong years in bib for raweb

-external_prog PGM: uses PGM instead of rahandler.pl for raweb

-shell-escape: enable \write18{SHELL COMMAND}

-tpa_status = title/all: translate all document or title only

-distinguish_refer_in_rabib= true/false: special raweb hack

-compatibility: keeps compatibility with older versions

-default_class=xx: use xx.clt if current class is unknown

-(no)math_variant: for <mi mathvariant='script'>X</mi>

-check: (obsolete RAweb option)

-debug: (raweb option) do not stop on the first error

-ps: (raweb) generates PostScript instead of XML

-xml -xmlfo -xmltex -xmlhtml -xmllint -xmlall: raweb options

SEE ALSO
(See http://www-sop.inria.fr/apics/tralics/raweb.html)

Tralics homepage: http://www-sop.inria.fr/apics/tralics This software is governed by the CeCILL license that can be found at http://www.cecill.info.

Copyright INRIA/MIAOU/APICS 2002-2008, Jos\'e Grimm Licensed under the CeCILL Free Software Licensing Agreement

This manual page was written by Ross J. Reedstrom <reedstrm@cnx.org>, starting with help2man output, for the Debian project (but may be used by others).